From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/omniauth/
Date: Thu, 28 Dec 2017 06:34:03 +0000 (UTC) [thread overview]
Message-ID: <1514442805.136dc5cdb527e969ab507de7aba6dd2da1d3ad78.graaff@gentoo> (raw)
commit: 136dc5cdb527e969ab507de7aba6dd2da1d3ad78
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 28 06:33:25 2017 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Dec 28 06:33:25 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=136dc5cd
dev-ruby/omniauth: add 1.8.1
Package-Manager: Portage-2.3.13, Repoman-2.3.3
dev-ruby/omniauth/Manifest | 1 +
dev-ruby/omniauth/omniauth-1.8.1.ebuild | 46 +++++++++++++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/dev-ruby/omniauth/Manifest b/dev-ruby/omniauth/Manifest
index 0b3965cc221..f748ec48f82 100644
--- a/dev-ruby/omniauth/Manifest
+++ b/dev-ruby/omniauth/Manifest
@@ -1,2 +1,3 @@
DIST omniauth-1.6.1.tar.gz 25094 BLAKE2B 45fa6c9d5eb249d5650adaf5e7a89e35ade8613cbc051b76e57b3332f26b8bc18a1645120a0590828c5dedc3034cf8ce5f107d1bcf88054cf5d27abb8d44c723 SHA512 5cb372ef4c8b78d5d110eb3f2f828ac3af5d14f230ed3a7d81f0464e21f0d3a434604fe2102874a3b6c341cbe9ad4db4af575229c77592c11e756bb38ab3b80b
DIST omniauth-1.7.1.tar.gz 26002 BLAKE2B 180d0eba2a4dc6289411e5a56ee776dc1bb0a799d4f3c735803986b6d47e4de4d50e670157a2996b10e4d80d57f322a296d24af18b87b6c6de669dbd64253fd1 SHA512 ed951394f996eb7eb9ab90fb6e46957f8f85148cc29ffb90697a0f74819014327a8e1fb6e8dbd5be736961c7283dc6132586841d05b87043b8d5a20c12441f68
+DIST omniauth-1.8.1.tar.gz 26016 BLAKE2B ad7f22a847bd91385ddce44efc89fb312b07ffe43d2b0fab3773e7c809959eb8a8b4567af5ba1a1e9fb9d559b692dec358bf16d6b1cb21b85f13521c20fa3415 SHA512 ad085d067971f3fef40e99be7f2e58a9bb006b404f8d7289c5c00be4ed7314ff9d40409053d2bda0a5072035d6e09295d22b8ae6b5d2a84384b245b5a0ae225a
diff --git a/dev-ruby/omniauth/omniauth-1.8.1.ebuild b/dev-ruby/omniauth/omniauth-1.8.1.ebuild
new file mode 100644
index 00000000000..2c597ca3030
--- /dev/null
+++ b/dev-ruby/omniauth/omniauth-1.8.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A generalized Rack framework for multiple-provider authentication"
+HOMEPAGE="https://github.com/intridea/omniauth"
+SRC_URI="https://github.com/intridea/omniauth/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="MIT"
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/rack-1.6.2:* <dev-ruby/rack-3:*
+ >=dev-ruby/hashie-3.4.6:3 <dev-ruby/hashie-3.6.0:3"
+ruby_add_bdepend "doc? ( dev-ruby/yard )
+ test? ( dev-ruby/rack-test )"
+
+all_ruby_prepare() {
+ sed -i -e '/[Bb]undler/d' \
+ Rakefile ${PN}.gemspec || die "sed failed"
+ sed -i -e '/RUBY_VERSION/,/^end/ s:^:#:' spec/helper.rb || die "sed failed"
+ # maruku fails, resorting to default markdown implementation
+ sed -i -e '/maruku/d' .yardopts || die "sed failed"
+
+ sed -i -e '/s.files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+all_ruby_compile() {
+ all_fakegem_compile
+
+ if use doc ; then
+ yard || die "yard failed"
+ fi
+}
next reply other threads:[~2017-12-28 6:34 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-12-28 6:34 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-28 14:21 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/omniauth/ Hans de Graaff
2024-07-18 6:05 Hans de Graaff
2024-07-18 6:05 Hans de Graaff
2024-02-11 7:26 Hans de Graaff
2023-12-20 7:13 Hans de Graaff
2023-08-29 16:53 Hans de Graaff
2023-08-29 16:53 Hans de Graaff
2023-02-04 7:08 Hans de Graaff
2022-12-04 15:08 Hans de Graaff
2022-04-14 5:01 Hans de Graaff
2021-07-07 7:48 Hans de Graaff
2021-07-07 7:48 Hans de Graaff
2020-08-01 9:05 Hans de Graaff
2020-03-03 7:25 Hans de Graaff
2019-11-09 6:28 Hans de Graaff
2019-03-30 6:46 Hans de Graaff
2018-12-15 6:31 Hans de Graaff
2018-09-11 4:50 Hans de Graaff
2018-02-07 7:05 Hans de Graaff
2017-12-28 6:34 Hans de Graaff
2017-10-11 5:26 Hans de Graaff
2017-09-29 14:20 Hans de Graaff
2017-09-29 14:20 Hans de Graaff
2017-03-07 6:10 Hans de Graaff
2017-02-19 7:05 Hans de Graaff
2017-02-06 6:41 Hans de Graaff
2017-01-18 7:16 Hans de Graaff
2017-01-18 7:16 Hans de Graaff
2016-10-31 1:44 Manuel Rüger
2016-05-09 22:29 Manuel Rüger
2015-12-24 6:37 Hans de Graaff
2015-12-12 7:35 Hans de Graaff
2015-08-13 18:59 Peter Wilmott
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1514442805.136dc5cdb527e969ab507de7aba6dd2da1d3ad78.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox